## cultivation 9%2Bdfsg1

=== debian/watch ===
version=3
opts="dversionmangle=s/[.+]dfsg(.?\d+)?$//; s/\.[0-9]{8}$//" \
  http://sf.net/cultivation/Cultivation_(.*)_UnixSource\.tar\.gz
