## cultivation 9+dfsg1

=== game2/documentation/futurePlay/Makefile ===
# 
# Generic:
#
# Map all .cpp C++ and C files into .o object files
#
# $@   represents the name.o file
# $<   represents the name.cpp file
#
%.eps: %.sk
	sk2ps $< $@
%.dvi: %.tex
	latex $<
%.ps: %.dvi
	dvips -Ppdf -t letter -o $@ $<
%.pdf: %.ps
	ps2pdf $<


all: poster.pdf

clean: 
	rm *.pdf *.ps *.dvi *.log *.aux
