=== debian/changelog ===
cultivation (9+dfsg1-3) unstable; urgency=medium

  * Team Upload
  * Import game on Salsa
  * Switch to DebHelper 13
  * Fix FTCBFS (Closes: #922538)
  * Remove old Debian Menu file

 -- Alexandre Detiste <tchet@debian.org>  Sat, 20 Jul 2024 16:49:06 +0200

cultivation (9+dfsg1-2) unstable; urgency=low

  [ Barry deFreese ]
  * Patch for portaudio19. (Closes: #594015).
  * Add hardening flags:
    + Clean up rules file to pass options not sed the makefiles.
    + Add dpkg-dev build dep for buildflags.
  * Bump Standards Version to 3.9.4.

  [ Paul Wise ]
  * Use the canonical and working URLs for Vcs-*
  * Upgrade to debhelper compat 9, add hardening
  * Drop unneeded duplicate png file
  * Add some keywords to the desktop file

 -- Paul Wise <pabs@debian.org>  Sun, 02 Jun 2013 14:24:36 +0800

cultivation (9+dfsg1-1) unstable; urgency=low

  * New upstream release
    - Needs libpng, build against it
  * Switch to dpkg-source v3 format
  * Refresh, clean patches
    - Drop rng_64bit.patch, merged upstream
    - Drop mouse_pos.patch, issue fixed in mesa
    - Drop cflags.patch, using sed is better
    - Merge build.patch into portaudio.patch
  * Switch to debhelper dh rules.tiny style
  * Keep upstream capitalization, add symlinks
  * Split up Build-Depends field
  * Build & use a large transparent icon from the MacOS icon & mask
  * Improve the menu files
  * Install the upstream changelog file
  * Change the patches to use DEP-3 headers
  * Add myself to Uploaders
  * Drop README.Debian, it is not useful to users
  * Bump Standards-Version, no changes needed
  * Slightly improve the copyright file
  * Don't link against libX11, it isn't used
  * Fix a crash when restarting the game (Closes: #597851)

 -- Paul Wise <pabs@debian.org>  Wed, 09 Feb 2011 21:53:07 +0800

cultivation (8.20070809.dfsg1-3) unstable; urgency=medium

  [ Miriam Ruiz ]
  * Fixed bashism: Replaced "{build,configure}-stamp"
    by "build-stamp configure-stamp" in debian/rules.

  [ Jon Dowland ]
  * remove a bashism in debian/rules (Closes: #478368)

  [ Ansgar Burchardt ]
  * Remove deprecated Encoding key from .desktop file
  * debian/control: Change XS-Vcs-* to Vcs-*
  * Remove Homepage semi-field from description

  [ Peter De Wachter ]
  * rng_64bit.patch: fix for 64-bit systems from upstream CVS (Closes: #501933)
  * debian/rules: call dh_desktop
  * debian/control: add myself to uploaders

 -- Peter De Wachter <pdewacht@gmail.com>  Tue, 14 Oct 2008 00:02:25 +0200

cultivation (8.20070809.dfsg1-2) unstable; urgency=low

  [ Miriam Ruiz ]
  * Added hacky patch to fix wrong mouse behaviour. See #440137
    Thanks to David Martinez Marti <deavidsedice@gmail.com>

  [ Jon Dowland ]
  * add Homepage: control field to source stanza

 -- Jon Dowland <jon@alcopop.org>  Mon, 03 Dec 2007 17:47:53 +0000

cultivation (8.20070809.dfsg1-1) unstable; urgency=low

  [ Miriam Ruiz ]
  * New upstream version.
  * Replaced icon by upstream's.
  * Added XS-Vcs-Svn and XS-Vcs-Browser to debian/control.

 -- Miriam Ruiz <little_miry@yahoo.es>  Tue, 28 Aug 2007 14:36:38 +0000

cultivation (7.20061227.dfsg1-1) unstable; urgency=low

  [ Miriam Ruiz ]
  * Initial release (Closes: #428078)

  [ Jon Dowland ]
  * update menu section to "Games/Action" for menu transition
    (thanks Linas Žvirblis)

 -- Miriam Ruiz <little_miry@yahoo.es>  Fri, 08 Jun 2007 14:04:02 +0000
