=== debian/control ===
Source: cultivation
Section: games
Priority: optional
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders:
 Miriam Ruiz <little_miry@yahoo.es>,
 Peter De Wachter <pdewacht@gmail.com>,
 Paul Wise <pabs@debian.org>
Build-Depends:
 debhelper-compat (= 13),
 freeglut3-dev,
 imagemagick,
 libgl-dev,
 libglu1-mesa-dev | libglu-dev,
 libpng-dev,
 portaudio19-dev
Standards-Version: 3.9.4
Vcs-Git: https://salsa.debian.org/games-team/cultivation.git
Vcs-Browser: https://salsa.debian.org/games-team/cultivation
Homepage: http://cultivation.sourceforge.net/

Package: cultivation
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Description: game about the interactions within a gardening community
 Cultivation is a game about a community of gardeners growing food for
 themselves in a shared space.
 .
 Cultivation is quite different from most other games. It is a social
 simulation, and the primary form of conflict is over land and plant
 resources. There is no shooting, but there are plenty of angry looks. It is
 also an evolution simulation. Within the world of Cultivation, you can
 explore a virtually infinite spectrum of different plant and gardener
 varieties.
